project (gtk_hello)

cmake_minimum_required (VERSION 2.6)

# include (FindGTK2) # doesn't work on WIN32 while
find_package (PkgConfig REQUIRED)
pkg_check_modules (GTK2 REQUIRED gtk+-2.0)

include_directories (${GTK2_INCLUDE_DIRS})
link_directories (${GTK2_LIBRARY_DIRS})
add_definitions (${GTK2_CFLAGS_OTHER})

# add the executable
add_executable (gtk_hello gtk_hello.c)
target_link_libraries (gtk_hello ${GTK2_LIBRARIES})
